Loading...
Searching...
No Matches
pcl::RealSenseGrabber::Mode Struct Reference

A descriptor for capturing mode. More...

`#include <pcl/io/real_sense_grabber.h>`

## Public Member Functions

| Mode ()
| Set all fields to zero (i.e.
| Mode (unsigned int fps)
| Set desired framerate, the rest is "don't care".
| Mode (unsigned int depth_width, unsigned int depth_height)
| Set desired depth resolution, the rest is "don't care".
| Mode (unsigned int fps, unsigned int depth_width, unsigned int depth_height)
| Set desired framerate and depth resolution, the rest is "don't care".
| Mode (unsigned int depth_width, unsigned int depth_height, unsigned int color_width, unsigned int color_height)
| Set desired depth and color resolution, the rest is "don't care".
| Mode (unsigned int fps, unsigned int depth_width, unsigned int depth_height, unsigned int color_width, unsigned int color_height)
| Set desired framerate, depth and color resolution.
bool | operator== (const pcl::RealSenseGrabber::Mode &m) const

## Public Attributes

unsigned int | fps
unsigned int | depth_width
unsigned int | depth_height
unsigned int | color_width
unsigned int | color_height

## Detailed Description

A descriptor for capturing mode.

Consists of framerate and resolutions of depth and color streams. Serves two purposes: to describe the desired capturing mode when creating a grabber, and to list the available modes supported by the grabber (see getAvailableModes()). In the first case setting some fields to zero means "don't care", i.e. the grabber is allowed to decide itself which concrete values to use.

Definition at line 87 of file real_sense_grabber.h.

## Constructor & Destructor Documentation

## Mode() [1/6]

pcl::RealSenseGrabber::Mode::Mode | ( |  | ) |

Set all fields to zero (i.e.

"don't care").

## Mode() [2/6]

pcl::RealSenseGrabber::Mode::Mode | ( | unsigned int | fps | ) |

Set desired framerate, the rest is "don't care".

References fps.

## Mode() [3/6]

pcl::RealSenseGrabber::Mode::Mode | ( | unsigned int | depth_width,
|  | unsigned int | depth_height )

Set desired depth resolution, the rest is "don't care".

References depth_height, and depth_width.

## Mode() [4/6]

pcl::RealSenseGrabber::Mode::Mode | ( | unsigned int | fps,
|  | unsigned int | depth_width,
|  | unsigned int | depth_height )

Set desired framerate and depth resolution, the rest is "don't care".

References depth_height, depth_width, and fps.

## Mode() [5/6]

pcl::RealSenseGrabber::Mode::Mode | ( | unsigned int | depth_width,
|  | unsigned int | depth_height,
|  | unsigned int | color_width,
|  | unsigned int | color_height )

Set desired depth and color resolution, the rest is "don't care".

References color_height, color_width, depth_height, and depth_width.

## Mode() [6/6]

pcl::RealSenseGrabber::Mode::Mode | ( | unsigned int | fps,
|  | unsigned int | depth_width,
|  | unsigned int | depth_height,
|  | unsigned int | color_width,
|  | unsigned int | color_height )

Set desired framerate, depth and color resolution.

References color_height, color_width, depth_height, depth_width, and fps.

## Member Function Documentation

## operator==()

bool pcl::RealSenseGrabber::Mode::operator== | ( | const pcl::RealSenseGrabber::Mode & | m | ) | const

## Member Data Documentation

## color_height

unsigned int pcl::RealSenseGrabber::Mode::color_height

Definition at line 93 of file real_sense_grabber.h.

Referenced by Mode(), and Mode().

## color_width

unsigned int pcl::RealSenseGrabber::Mode::color_width

Definition at line 92 of file real_sense_grabber.h.

Referenced by Mode(), and Mode().

## depth_height

unsigned int pcl::RealSenseGrabber::Mode::depth_height

Definition at line 91 of file real_sense_grabber.h.

Referenced by Mode(), Mode(), Mode(), and Mode().

## depth_width

unsigned int pcl::RealSenseGrabber::Mode::depth_width

Definition at line 90 of file real_sense_grabber.h.

Referenced by Mode(), Mode(), Mode(), and Mode().

## fps

unsigned int pcl::RealSenseGrabber::Mode::fps

Definition at line 89 of file real_sense_grabber.h.

Referenced by Mode(), Mode(), and Mode().

The documentation for this struct was generated from the following file:

- pcl/io/real_sense_grabber.h